using System;
using System.Collections.Generic;
using System.Windows.Forms;

namespace NU.OJL.MPRTOS.TLV.Base
{
	public interface IEnvironment
	{
		List<string> TraceLog { get; }

		string TraceLogResource { get; }

		bool IsRunning { get; }

		event EventHandler Terminated;

		string[] GetToolStripInfos();

		ToolStripButton[] CreateToolStripButtons(string name);

		void Initialize();

		ISubWindow[] CreateInitialViews();

		void InitializeSettings();

		void Start();

		void Terminate();
	}
}
